Skip to content

DNS Zone Metrics.

POST
/api/data/namespaces/{namespace}/dns_zones/metrics
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/dns_zones/metrics \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "filter": "example", "group_by": [ "COUNTRY_CODE" ], "limit": 1, "namespace": "example", "sort": "DESCENDING", "start_time": "example", "step": "example" }'

Request to GET DNS zone metrics data.

Examples of this operation.

namespace
required
string

Namespace Namespace is always system for dns_zone.

Media typeapplication/json
Dns Zone Metrics Request
object
end_time
End time

End time of flow collection Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
filter
Label Filter

Filter is used to specify the list of matchers syntax for filter := {[]} :=

Optional: If not specified, counter will be aggregated based on the group_by labels.

string
<= 1024 characters
group_by
Group by

Aggregate data by labels specified in the group_by field.

Array<string>
Allowed values: COUNTRY_CODE DOMAIN QUERY_TYPE RESPONSE_CODE DNS_ZONE_NAME CLIENT_SUBNET ANSWERS
limit
Limit

Limits the number of domain or query types returned in the response Default 10.

integer format: int64
namespace
Namespace

Namespace is always system for dns_zone.

string
>= 6 characters <= 1024 characters
sort
string
default: DESCENDING
Allowed values: DESCENDING ASCENDING
start_time
Start time

Start time of flow collection Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
step
Step

Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Optional: If not specified, then step size is evaluated to <end_time - start_time>

string
<= 1024 characters

A successful response.

Media typeapplication/json
Dns Zone Metrics Response
object
data
Data

Metrics Data wraps the response for the DNS zone metrics request.

Array<object>
Metrics Data

Metrics Data contains key/value pairs that uniquely identifies the group_by labels specified in the request.

object
labels
Labels

Labels contains the name/value pair. “name” is the label defined in Labels.

object
value
Value

List of metric values.

Array<object>
>= 3 characters <= 15 characters
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
step
step

Actual step size used in the response. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
total_hits
total hits

Total number of log messages that matched the query.

string format: uint64
<= 1024 characters
Example
{
"data": [
{
"value": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example